package org.processmining.models.DCNet;

import java.util.Collection;

import org.processmining.models.cnet.CNetBinding;

public class DCNetBinding extends CNetBinding 
{
	private final String dataExpression;
	
	public DCNetBinding(Type type, DCNetNode node, DCNetNode[] boundNodes, String dataExpression) {
		super(type, node, boundNodes);
		if (dataExpression.trim().equals(""))
			this.dataExpression="1";
		else
			this.dataExpression=dataExpression;
	}

	public DCNetBinding(Type type, DCNetNode node, Collection<? extends DCNetNode> boundNodes, String dataExpression) {
		super(type, node, boundNodes);
		if (dataExpression.trim().equals(""))
			this.dataExpression="1";
		else
			this.dataExpression=dataExpression;
	}

	public String getDataExpression() {
		return dataExpression;
	}

}
