package org.processmining.plugins.DataConformance.GUI;

public class MatchingXAttribute {
	private String logAttribute;
	private String processAttribute;
	public static MatchingXAttribute ALLATTRIBUTES = new MatchingXAttribute(null, null);

	public MatchingXAttribute(String logAttribute, String processAttribute) {
		this.processAttribute = processAttribute;
		this.logAttribute = logAttribute;
	}

	public String getProcessAttribute() {
		return processAttribute;
	}

	public String getLogAttribute() {
		return logAttribute;
	}

	public String toString() {
		if (logAttribute == null) {
			return "*";
		} else {
			if (processAttribute != null) {
				if (!processAttribute.toLowerCase().equals(logAttribute.toLowerCase())) {
					return processAttribute + " (" + logAttribute + " )";	
				} else {
					return processAttribute;
				}
			} else {
				//TODO can this happen?
				return "*";
			}
		}
	}

}
